#ifndef _NVRAM_H
#define _NVRAM_H 	1

extern char *nvram_get(char *name);
extern void nvram_init(void);
extern void nvram_close(void);
extern int nvram_set(char *name,char *value);
extern int nvram_match(char *name,char *value);
extern int nvram_bufset(char *name,char *value);
extern int nvram_commit();
#endif

//kathy
#ifdef RT61AP
#define MODULE_NAME ("RT61AP")
#define DAT_PATH	("/etc/Wireless/RT61AP/")
#define DAT_NAME	("/etc/Wireless/RT61AP/RT61AP.dat")
#define TMP_DAT_NAME	("/etc/Wireless/RT61AP/RT61AP.tmp")

#endif

#ifdef RT2860STA
#define MODULE_NAME ("RT2860STA")
#define DAT_PATH	("/etc/Wireless/RT2860STA/")
#define DAT_NAME	("/etc/Wireless/RT2860STA/RT2860STA.dat")
#define TMP_DAT_NAME	("/etc/Wireless/RT2860STA/RT2860STA.tmp")

#endif


#ifdef RT2870STA
#define MODULE_NAME ("RT2870STA")
#define DAT_PATH	("/etc/Wireless/RT2870STA/")
#define DAT_NAME	("/etc/Wireless/RT2870STA/RT2870STA.dat")
#define TMP_DAT_NAME	("/etc/Wireless/RT2870STA/RT2870STA.tmp")

#endif

