#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <sys/ioctl.h>
#include <net/if.h>
#include <net/route.h>
#include <arpa/inet.h>
#include <net/if_arp.h>

int main(int argc,char **argv)
{
  struct ifreq ifr;
  int skfd;

   if((skfd = socket(AF_INET, SOCK_DGRAM, 0)) < 0) {
      perror("socket");
      exit(EXIT_FAILURE);
   }

  /* hardware address */
  strncpy(ifr.ifr_name, "eth1", IF_NAMESIZE);
  if(ioctl(skfd, SIOCGIFHWADDR, &ifr) < 0) {
	perror("SIOCGIFHWADDR");
	return;
  }

  strncpy(ifr.ifr_name, "br0", IFNAMSIZ);
  ifr.ifr_hwaddr.sa_family = ARPHRD_ETHER;
  ioctl(skfd, SIOCSIFHWADDR, &ifr);

  (void) close(skfd);
}	
